Package org.lwjgl.opengl

# Class ARBTextureCompressionBPTC

java.lang.Object
org.lwjgl.opengl.ARBTextureCompressionBPTC

public final class ARBTextureCompressionBPTC extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COMPRESSED_RGB_BPTC_SIGNED_FLOAT_ARB`
Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:
`static final int`
`GL_COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT_ARB`
Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:
`static final int`
`GL_COMPRESSED_RGBA_BPTC_UNORM_ARB`
Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:
`static final int`
`GL_COMPRESSED_SRGB_ALPHA_BPTC_UNORM_ARB`
Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_COMPRESSED_RGBA_BPTC_UNORM_ARB

public static final int GL_COMPRESSED_RGBA_BPTC_UNORM_ARB
Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB_ALPHA_BPTC_UNORM_ARB

public static final int GL_COMPRESSED_SRGB_ALPHA_BPTC_UNORM_ARB
Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGB_BPTC_SIGNED_FLOAT_ARB

public static final int GL_COMPRESSED_RGB_BPTC_SIGNED_FLOAT_ARB
Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT_ARB

public static final int GL_COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT_ARB
Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:

See Also:
  - Constant Field Values